<?php
if (! defined ( 'ABSPATH' )) {
	exit (); // Exit if accessed directly
}

return array (
		'custom_form_design' => array (
				'type' => 'custom',
				'function' => 'WC_Braintree_Admin::output_custom_forms',
				'title' => __ ( 'Custom Form', 'braintree' ),
				'default' => 'bootstrap_form',
				'value'=>'',
				'class'=>array(),
				'tool_tip' => true,
				'description' => __ ( 'This option allows you to select the payment form which will be displayed on the checkout page.', 'braintree' ) 
		),
		'card_number_placeholder' => array (
				'type' => 'text',
				'title' => __ ( 'Number Placeholder', 'braintree' ),
				'default' => __ ( 'Card Number', 'braintree' ),
				'value' => '',
				'class' => array (),
				'tool_tip' => true,
				'description' => __ ( 'The value entered here will display as a placeholder on the credit card number field.', 'braintree' ) 
		),
		'card_cvv_placeholder' => array (
				'type' => 'text',
				'title' => __ ( 'CVV Placeholder', 'braintree' ),
				'default' => __ ( 'CVV', 'braintree' ),
				'value' => '',
				'class' => array (),
				'tool_tip' => true,
				'description' => __ ( 'The value entered here will display as a placeholder on the credit card security code field.', 'braintree' ) 
		),
		'card_expiration_date_placeholder' => array (
				'type' => 'text',
				'title' => __ ( 'Expiration Date Placeholder', 'braintree' ),
				'default' => __ ( 'MM/YY', 'braintree' ),
				'value' => '',
				'class' => array (),
				'tool_tip' => true,
				'description' => __ ( 'For forms that contain a combined expiration date and year, this will be the placeholder.', 'braintree' ) 
		),
		'card_expiration_month_placeholder' => array (
				'type' => 'text',
				'title' => __ ( 'Expiration Month Placeholder', 'braintree' ),
				'default' => __ ( 'MM', 'braintree' ),
				'value' => '',
				'class' => array (),
				'tool_tip' => true,
				'description' => __ ( 'The value entered here will display as a placeholder on the expiration month.', 'braintree' )
		),
		'card_expiration_year_placeholder' => array (
				'type' => 'text',
				'title' => __ ( 'Expiration Year Placeholder', 'braintree' ),
				'default' => __ ( 'YY', 'braintree' ),
				'value' => '',
				'class' => array (),
				'tool_tip' => true,
				'description' => __ ( 'The value entered here will display as a placeholder on the expiration year.', 'braintree' )
		),
		'card_postal_placeholder' => array (
				'type' => 'text',
				'title' => __ ( 'Card Postal Placeholder', 'braintree' ),
				'default' => __ ( 'Postal Code', 'braintree' ),
				'value' => '',
				'class' => array (),
				'tool_tip' => true,
				'description' => __ ( 'The value entered here will display as a placeholder on the credit card postal code field.', 'braintree' ) 
		),
		'custom_form_styles' => array (
				'type' => 'textarea',
				'title' => __ ( 'Styles', 'braintree' ),
				'default' => '{"input":{  "font-size":"14px","font-family":"helvetica, tahoma, calibri, sans-serif","color":"#3a3a3a"}}',
				'class'=>array(),
				'tool_tip'=>true,
				'description'=>__('You can customize the css of the hosted payment fields using this setting. All css must be in json format or it will cause errors. Please reference
						<a target="_blank" href="https://developers.braintreepayments.com/guides/hosted-fields/styling/javascript/v3">Braintree Examples</a> if you have questions on how to format the custom css.', 'braintree')
		),
		/* 'custom_form_field_container_class'=>array(
				'type'=>'textarea',
				'title'=>__('Field Container Class', 'braintree'),
				'default'=>'.form-group',
				'value'=>'',
				'class'=>array(),
				'tool_tip'=>true,
				'description'=>__('Enter the css class name that is used on each of the containers of the hosted form fields for your custom form. This class name is used to locate the field\'s container
						and assign classes for successes and errors.', 'braintree')
		), */
		'card_number_label'=>array(
				'type'=>'text',
				'title'=>__('Card Number Label', 'braintree'),
				'default'=>__('Card Number', 'braintree'),
				'value'=>'',
				'class'=>array(),
				'tool_tip'=>true,
				'description'=>__('This text will display above or next to the card number input field for forms that contain a label.', 'braintree')
		),
		'card_cvv_label'=>array(
				'type'=>'text',
				'title'=>__('CVV Label', 'braintree'),
				'default'=>__('CVV', 'braintree'),
				'value'=>'',
				'class'=>array(),
				'tool_tip'=>true,
				'description'=>__('This text will display above or next to the card cvv input field for forms that contain a label.', 'braintree')
		),
		'card_postal_label'=>array(
				'type'=>'text',
				'title'=>__('Postal Label', 'braintree'),
				'default'=>__('Postal Code', 'braintree'),
				'value'=>'',
				'class'=>array(),
				'tool_tip'=>true,
				'description'=>__('This text will display above or next to the card postal input field for forms that contain a label.', 'braintree')
		),
		'card_expiration_date_label'=>array(
				'type'=>'text',
				'title'=>__('Exp Date Label', 'braintree'),
				'default'=>__('Exp Date', 'braintree'),
				'value'=>'',
				'class'=>array(),
				'tool_tip'=>true,
				'description'=>__('This text will display above or next to the card expiration date input field for forms that contain a label.', 'braintree')
		),
		'card_expiration_month_label'=>array(
				'type'=>'text',
				'title'=>__('Exp Month Label', 'braintree'),
				'default'=>__('Month', 'braintree'),
				'value'=>'',
				'class'=>array(),
				'tool_tip'=>true,
				'description'=>__('This text will display above or next to the card expiration month input field for forms that contain a label.', 'braintree')
		),
		'card_expiration_year_label'=>array(
				'type'=>'text',
				'title'=>__('Exp Year Label', 'braintree'),
				'default'=>__('Year', 'braintree'),
				'value'=>'',
				'class'=>array(),
				'tool_tip'=>true,
				'description'=>__('This text will display above or next to the card expiration year input field for forms that contain a label.', 'braintree')
		),
		'card_save_label'=>array(
				'type'=>'text',
				'title'=>__('Save Card Label', 'braintree'),
				'default'=>__('Save', 'braintree'),
				'value'=>'',
				'class'=>array(),
				'tool_tip'=>true,
				'description'=>__('This text will display above or next to the card save field for forms that contain a label.', 'braintree')
		)
);