var PayPalCheckout = function(){
	this.form = jQuery('#braintree_paypal_button').closest('form');
	this.setupEvents();
}

PayPalCheckout.instance = function(){
	window.paypalCheckout = new PayPalCheckout();
	paypalCheckout.initializePayPal();
}

PayPalCheckout.prototype.setupEvents = function(){
	jQuery(this.form).on('checkout_place_order', this.checkoutPlaceOrder);
}

PayPalCheckout.prototype.initializePayPal = function(){
	var paypalButton = document.getElementById('braintree_paypal_button');
	braintree.client.create({
		authorization: document.getElementById('client_token') ? document.getElementById('client_token').value : null
	}, function(clientErr, clientInstance){
		if(clientErr){
			return;
		}
		braintree.paypal.create({
			client: clientInstance
		}, function(paypalErr, paypalInstance){
			if(paypalErr){
				return;
			}
		paypalButton.addEventListener('click', function(event){
			event.preventDefault();
			if(paypalCheckout.isGatewaySelected()){
				paypalInstance.tokenize({
					flow: 'vault',
				}, function(tokenizeErr, payload){
					if(tokenizeErr){
						return;
					}
				paypalCheckout.onPaymentMethodReceived(payload);
				});
			}
		});
		});
	});
}

PayPalCheckout.prototype.isGatewaySelected = function() {
	return document.getElementById('payment_method_braintree_paypal_payments').checked;
}

PayPalCheckout.prototype.onPaymentMethodReceived = function(response){
	paypalCheckout.paymentMethodReceived = true;
	var element = document.getElementById('payment_method_nonce');
	if(element != null){
		element.value = response.nonce;
	}
	else{
		element = document.createElement('input');
		element.type = 'hidden';
		element.name = 'payment_method_nonce';
		element.id = 'payment_method_nonce';
		element.value = response.nonce;
		jQuery(paypalCheckout.form).append(element);
	}
}

PayPalCheckout.prototype.checkoutPlaceOrder = function(e){
	if(paypalCheckout.isGatewaySelected()){
		if(paypalCheckout.paymentMethodReceived){
			return true;
		}else{
			return false;
		}
	}
}

PayPalCheckout.verifyFormInitialized = function(){
	if(typeof paypalCheckout === 'undefined'){
		jQuery(document.body).trigger('updated_checkout');
	}
}

jQuery(document.body).on('updated_checkout', PayPalCheckout.instance);

setTimeout(PayPalCheckout.verifyFormInitialized, 3000);